import React, {Component} from "react";
import { findDOMNode } from 'react-dom';
import classNames from 'classnames';
import $ from 'jquery'

import styles from "./index.less";

class ModalHeader extends Component {
    constructor(props) {
        super(props);
        this.handleClickClose = this.handleClickClose.bind(this);
    }
    handleClickClose() {
        const {handleClose} = this.props;
        if(handleClose) {
            handleClose();
        }
		if($('#stateShow').length) {
			$("#stateShow").css("display","none");
		}
		$(".src-modules-pageLeft-1SHS6").css("z-index","8")
    }
    render() {
        const {title} = this.props;

        return (
            
            <div className={styles['modal-header']}>
                <button type="button" className={styles['close']} aria-label="Close" onClick={this.handleClickClose}>
                    <span aria-hidden="true">X</span>
                </button>
                {title ? <h4 className={styles['title']}>{title}</h4>: null}
            </div>
        );
    }
}

export default ModalHeader;